module Race::Run
	class Account < Base
		description 'Get User Information'
	    syntax 'race account'
	    def run(*_args)
	      result = barge.account.show
	      if !result
	      	puts 'Error: Please check your information'.red
	      else
	      	puts 'Account Information'.yellow
	      	rows = []
        	rows << %w(Limit Email UUID EmailVerified)

        	result.each do |res|
        		user = res[1]
        		rows << [
		            user.droplet_limit,
		            user.email,
		            user.uuid,
		            user.email_verified == true ? 'True'.green : 'False'.red
		        ]
        	end
        	table = Terminal::Table.new rows: rows
        	puts table
	      end
	    end
	end
end
